import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:liftmanager/common/common.dart';
import 'package:liftmanager/internal/account/account_router.dart';
import 'package:liftmanager/internal/account/model/user_info_entity.dart';
import 'package:liftmanager/internal/account/provider/user_provider.dart';
import 'package:liftmanager/internal/wode/wode_router.dart';
import 'package:liftmanager/net/api_service.dart';
import 'package:liftmanager/routers/fluro_navigator.dart';
import 'package:liftmanager/utils/image_utils.dart';
import 'package:liftmanager/widgets/app_bar.dart';
import 'package:liftmanager/widgets/click_item.dart';
import 'package:liftmanager/widgets/load_image.dart';
import 'package:liftmanager/widgets/my_button.dart';
import 'package:provider/provider.dart';
import 'package:liftmanager/widgets/bbs_content.dart';
import 'package:liftmanager/internal/bbs/bbs_router.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class PiaoCheck extends StatefulWidget {
  // PiaoCheck(this.type);

  // final String type;
  @override
  State<StatefulWidget> createState() {
    return PiaoCheckState();
  }
}

class PiaoCheckState extends State<PiaoCheck> {
  UserProvider provider = UserProvider();


  @override
  void initState() {
    // TODO: implement initState
    
    
    super.initState();
  }

  @override
  void dispose() {
    // provider.dispose();
    super.dispose();
  }
  
  @override
  Widget build(BuildContext context) {
    double width = MediaQuery.of(context).size.width;
    double height = MediaQuery.of(context).size.height;
    return Scaffold(
              appBar: MyAppBar(
                centerTitle: "电子发票详情",
              ),
              body: Stack(
                children:<Widget>[
                  Container(
                    color:Color(0xff000000),
                    width:width,
                    height:height,
                    child: Center(
                          child:LoadAssetImage(
                                      "temporary/timg",
                                      fit: BoxFit.cover,
                                      height:width*0.6,
                                      width: width,
                                    )
                        ),
                  ),
                  Positioned(
                    bottom:50,
                    left:0,
                    child: GestureDetector(
                      onTap: (){
                        Navigator.pop(context);
                      },
                      child:Container(
                        width: width,
                        child:Icon(
                                    IconData(
                                      0xe60c,
                                      fontFamily:"myfont"
                                    ),
                                    size: 26.0,
                                    color:Colors.white,
                                  ),
                      )
                    )
                  )
                ]
              )
        );
  }

}




